<%@ page language="C#" autoeventwireup="true" inherits="safe_ftp, App_Web_tqrintju" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=gbk"/>
<meta http-equiv="expires" content="0"/>
<meta http-equiv="Pragma" content="no-cache"/>
<meta http-equiv="Cache-Control" content="no-cache"/>
 <title>safehost</title>
  <link type="text/css" href="../css/common.css" rel="Stylesheet" />
</head>

<body>
<div class="tt">
<table class="site_bg_site" border=0 cellSpacing=1 cellPadding=0 width="100%" style="background:#eef5fb">
  <tbody>
  <tr class="tr3" style="height:30px;">
    <td class="site_bg_bs" height=28 width="100%" scope=col align=left>&nbsp;<h2>单独FTP空间开设</h2></td></tr>
   </tbody>
</table>

 <SCRIPT language=JavaScript type=text/javascript> 
function len(s) { 
var l = 0; 
var a = s.split(""); 
for (var i=0;i<a.length;i++) { 
if (a[i].charCodeAt(0)<299) { 
l++; 
} else { 
l+=2; 
} 
} 
return l; 
}
function checkform(theform){
 if (theform.FTPuser.value=="") {
    window.alert("请输入FTP账号");
  theform.FTPuser.focus();
    return false;
 }
 if (len(theform.FTPuser.value)<3) {
      window.alert("FTP账号必须为3-20位的字符");
      theform.FTPuser.focus();
      return false;
 }
 var patrn="^[A-Za-z0-9]+$";   
if (!theForm.FTPuser.value.match(patrn)) 
{
    window.alert("FTP账号只能由字母和数字组成");
    theForm.FTPuser.focus();
    return false;
}
 if (theform.FTPpass.value=="") {
      window.alert("请输入FTP密码");
      theform.FTPpass.focus();
      return false;
 }
 
 if (len(theform.FTPpass.value)<6) {
      window.alert("FTP密码必须为6-20位的字符");
      theform.FTPpass.focus();
      return false;
 }
 if (theform.toFTPpass.value=="") {
      window.alert("请输入FTP确认密码");
      theform.toFTPpass.focus();
      return false;
 }
  if (theform.toFTPpass.value!=theform.FTPpass.value) {
      window.alert("两次FTP密码不一致");
      theform.toFTPpass.focus();
      return false;
 }
  if (theform.spanum.value=="") {
      window.alert("请输入空间大小");
      theform.spanum.focus();
      return false;
 }
  if (theform.sitepath.value=="") {
      window.alert("请选择存放路径");
      theform.sitepath.focus();
      return false;
 }
 return true;
 }
</SCRIPT>

<table class="site_bg_site" border="0" cellSpacing="1" cellPadding="0" width="100%">
    <tbody>
<form onsubmit="return checkform(this)" runat="server" >
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 width="13%" scope=col>&nbsp;&nbsp;FTP账号：</td>
    <td class="site_bg_bs" width="87%" scope=col>
    <input id=FTPuser runat="server"  class="input_to_to" title=请输入独立FTP账号名称(必填) maxLength=20 size=30 name="FTPuser"> &nbsp;<span class=syt_1>* 请输入3-20位的字符</span></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 scope=col>&nbsp;&nbsp;FTP密码：</td>
    <td class="site_bg_bs" scope=col><input id=FTPpass runat="server"  class="input_to_to" 
      title=请输入独立FTP密码(必填) maxLength=20 size=30 type=password name=FTPpass> 
      &nbsp;<span class=syt_1>* 请输入6-20位的字符</span></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 scope=col>&nbsp;&nbsp;FTP确认密码：</td>
    <td class="site_bg_bs" scope=col><input id=toFTPpass  class="input_to_to" 
      maxLength=20 size=30 type=password name=toFTPpass></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 scope=col>&nbsp;&nbsp;空间大小：</td>
    <td class="site_bg_bs" scope=col>
    <input id=spanum  runat="server"  class="input_to_to" title="请输入独立FTP空间大小(必填) 如:100" onkeyup="value=value.replace(/[^0-9,]/g,'')" maxLength=9 size=5 
      name=spanum> M&nbsp;&nbsp;&nbsp;&nbsp;<span 
  class=syt_1>必须0-9的数字</span></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 scope=col>&nbsp;&nbsp;存放路径：</td>
    <td class="site_bg_bs" scope=col><select id=sitepath runat="server"  class="input_to_to" 
      title=请输入FTP存放路径(必选) name=sitepath> <option selected value="">请选择存放路径</option> 
</select></td></tr>

  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=22 scope=col>&nbsp;&nbsp;FTP空间期限</td>
    <td class="site_bg_bs" scope=col><select id=Eyear runat="server"  class="input_to_to" 
      name=Eyear> <option value=0>0年</option> <option selected 
        value=1>1年</option> <option value=2>2年</option> <option 
        value=3>3年</option> <option value=4>4年</option> <option 
        value=5>5年</option> <option value=6>6年</option> <option 
        value=7>7年</option> <option value=8>8年</option> <option 
        value=9>9年</option> <option value=10>10年</option></select>
        <select id=Emone  runat="server"  class="input_to_to" name=Emone> <option selected 
        value=0>0个月</option> <option value=1>1个月</option> <option 
        value=2>2个月</option> <option value=3>3个月</option> <option 
        value=4>4个月</option> <option value=5>5个月</option> <option 
        value=6>6个月</option> <option value=7>7个月</option> <option 
        value=8>8个月</option> <option value=9>9个月</option> <option 
        value=10>10个月</option> <option value=11>11个月</option></select></td></tr>
  <tr class="tr3 s3" style="height:30px;">
    <td class="site_bg_bs" height=28 colspan=2 scope=col align=middle>
    
    <asp:ImageButton ID="btnYes" runat="server" 
            ImageUrl="~/images/host/host.gif" onclick="btnYes_Click" />
    
    </td></tr></form>
    </tbody>
</table>
</div>

</body>  
</html>


